## ddcxinfo-kanotix-0.6.15.tar.gz

=== Makefile ===
CFLAGS=-Wall -O2 -g# -DDEBUG

TARGETS=ddcprobe svgamodes ddcxinfo ddcxinfo-kanotix modetest libvbe.a

ifeq (.depend,$(wildcard .depend))
TARGET=all
else
TARGET=depend all
endif

everything: $(TARGET)

all: $(TARGETS)

install: $(TARGETS)
	cp -a ddcprobe $(DESTDIR)/usr/sbin/ddcprobe

ddcprobe: lrmi.o vesamode.o vbe.o ddcprobe.o

svgamodes: lrmi.o vesamode.o vbe.o svgamodes.o

ddcxinfo: lrmi.o vesamode.o vbe.o ddcxinfo.o

ddcxinfo-kanotix: lrmi.o vesamode.o vbe.o ddcxinfo-kanotix.o

modetest: lrmi.o vesamode.o vbe.o modetest.o

libvbe.a: lrmi.o vesamode.o vbe.o
	$(AR) cru $@ $^

install-lib: $(prefix)/include/vbe.h $(prefix)/lib/libvbe.a

$(prefix)/include/vbe.h:
	install -m 644 vbe.h $(prefix)/include/vbe.h

$(prefix)/lib/libvbe.a:
	install -m 644 libvbe.a $(prefix)/lib/libvbe.a

clean:
	$(RM) $(TARGETS) *.o .depend core

depend:
	$(CPP) -M $(CFLAGS) *.c > .depend

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== debian/changelog ===
ddcxinfo-kanotix (0.6.15) unstable; urgency=low

  * Added 1440x1050 for laptops.

 -- Joerg Schirottke <master@kanotix.com>  Sun, 30 Oct 2005 17:35:50 +0100

ddcxinfo-kanotix (0.6.14) unstable; urgency=low

  * re- indent ModeLines.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 28 Sep 2005 03:45:53 +0200

ddcxinfo-kanotix (0.6.13) unstable; urgency=low

  * recompile with gcc-4.0.
  * adapt for dpkg 1.1.13.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 29 Jul 2005 20:51:56 +0200

ddcxinfo-kanotix (0.6.12) unstable; urgency=low

  * Added 1024x600 and 1280x768 for laptops

 -- Joerg Schirottke <master@kanotix.com>  Sat,  4 Jun 2005 12:16:23 +0200

ddcxinfo-kanotix (0.6-11) unstable; urgency=low

  * Better emulation script

 -- Joerg Schirottke <master@kanotix.com>  Thu, 23 Dec 2004 03:57:10 +0100

ddcxinfo-kanotix (0.6-10) unstable; urgency=low

  * Added WXGA (1440x900) for laptops 

 -- Joerg Schirottke <master@kanotix.com>  Wed, 24 Nov 2004 19:57:17 +0100

ddcxinfo-kanotix (0.6-9) unstable; urgency=low

  * add preliminary x86_64 support. 

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun,  7 Nov 2004 02:03:57 +0100

ddcxinfo-kanotix (0.6-8) unstable; urgency=low

  * Added WXGA (1366x768) for laptops

 -- Joerg Schirottke <master@kanotix.com>  Fri, 24 Sep 2004 16:33:49 +0200

ddcxinfo-kanotix (0.6-7) unstable; urgency=low

  * Added 3 modelines for laptops

 -- Joerg Schirottke <master@kanotix.com>  Thu, 22 Jul 2004 13:59:43 +0200

ddcxinfo-kanotix (0.6-6) unstable; urgency=low

  * added noml option (patch from xzcvczx)

 -- Joerg Schirottke <master@kanotix.com>  Thu, 29 Jan 2004 21:28:21 +0100

ddcxinfo-kanotix (0.6-5) unstable; urgency=low

  * Changed default vsync to 75Hz again because there are no good default
    modelines for 60Hz.

 -- Klaus Knopper <knoppix@knopper.net>  Wed, 12 Nov 2003 20:22:07 +0100

ddcxinfo-kanotix (0.6-4) unstable; urgency=low

  * re-added extended modelines (hope this is OK)

 -- Klaus Knopper <knoppix@knopper.net>  Sat, 20 Sep 2003 19:54:13 +0200

ddcxinfo-kanotix (0.6-3) unstable; urgency=low

  * removed extended_modelines add-on in case of correctly reported modelines

 -- Klaus Knopper <knoppix@knopper.net>  Thu, 11 Sep 2003 20:55:05 +0200

ddcxinfo-kanotix (0.6-2) unstable; urgency=low

  * Using VESA timings as default modelines
 
 -- Joerg Schirottke <master@kanotix.com>  Sun, 27 Jul 2003 09:44:39 +0200

ddcxinfo-kanotix (0.6-1) unstable; urgency=low

  * Modified to max out the monitor

 -- Joerg Schirottke <master@kanotix.com>  Sun, 27 Jul 2003 01:09:00 +0200

ddcxinfo-kanotix (0.5-5) unstable; urgency=low

  * Add 1024x768 modeline also if Monitor is not ddc-capable

 -- Klaus Knopper <knoppix@knopper.net>  Tue, 25 Feb 2003 19:36:14 +0100

ddcxinfo-kanotix (0.5-4) unstable; urgency=low

  * Add a 1024x768 mode if the monitor can handle it, but there are no modelines for it

 -- Klaus Knopper <knoppix@knopper.net>  Tue, 25 Feb 2003 02:09:26 +0100

ddcxinfo-kanotix (0.5-3) unstable; urgency=low

  * Correction of max modeline algorithm

 -- Klaus Knopper <knoppix@knopper.net>  Sat, 22 Feb 2003 18:38:00 +0100

ddcxinfo-kanotix (0.5-2) unstable; urgency=low

  * Added better "bestmodeline" for TFT displays

 -- Klaus Knopper <knoppix@knopper.net>  Mon, 17 Feb 2003 22:57:17 +0100

ddcxinfo-kanotix (0.5-1) unstable; urgency=low

  * Initial Release.

 -- Klaus Knopper <knoppix@knopper.net>  Sun, 16 Feb 2003 04:34:21 +0100

=== debian/control ===
Source: ddcxinfo-kanotix
Section: x11
Priority: optional
Maintainer: Joerg Schirottke <master@kanotix.com>
Uploaders: Stefan Lippers-Hollmann <s.l-h@gmx.de>
Build-Depends: debhelper (>> 4.0.0)
Standards-Version: 3.6.2

Package: ddcxinfo-kanotix
Architecture: i386 amd64 powerpc
Depends: ${shlibs:Depends}
Description: Monitor/ Graphics card DDC hardware detection
 Part of the KANOTIX hardware detection suite.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=4

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
ifeq ($(DEB_HOST_ARCH_CPU),i386)
		$(MAKE) ddcxinfo-kanotix
endif

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/ddcxinfo-kanotix.
	install -m 755 -d $(CURDIR)/debian/ddcxinfo-kanotix/usr/sbin
ifeq ($(DEB_HOST_ARCH_CPU),i386)
	install -m 755 ddcxinfo-kanotix $(CURDIR)/debian/ddcxinfo-kanotix/usr/sbin/
else
	install -m 755 $(CURDIR)/debian/ddcxinfo-kanotix.sh $(CURDIR)/debian/ddcxinfo-kanotix/usr/sbin/ddcxinfo-kanotix
endif

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman debian/*.1
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
